Subject: Re: libwww compilation
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: ahnkle <[email-masked]>
Date: Wed, 28 Apr 2004 14:07:22 +0200

Gerrit wrote:

> ahnkle wrote:

>> During the making of expat, one of the libwww libraries, I get the
>> following:

>> ====================================================================
>> | /bin/bash ./libtool --silent --mode=link gcc -g -O2 -Wall
>> - -Wmissing-prototypes -Wstrict-prototypes -fexceptions   -I./lib -I.
>> - -no-undefined -version-i
>> | nfo 4:0:4 -rpath /usr/local/lib  -o libexpat.la lib/xmlparse.lo
>> lib/xmltok.lo lib/xmlrole.lo
>> |
>> /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/../../../libcygwin.a(libcmain.o)(.text+0x7c):
>> undefined reference to `_WinMain@16'
>> ====================================================================

> Use the system expat library.

I found an old buildtree, I'll post a patch to the 5.4.0 sources as soon
as I was able to verify that it creates binaries with the changes made.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/